from setuptools import setup, find_packages
import sys, os
import argparse
if sys.argv[-1] == 'publish':
    os.system("python setup.py sdist bdist_wheel upload")
    sys.exit()


setup(name="gxargparse",
        version=argparse.__version__,
        description='Instrument for forming CWL tool descriptions from argparse arguments',
        author='Anton Khodak',
        author_email='anton.khodak@ukr.net',
        install_requires=['galaxyxml', 'jinja2'],
        url='https://github.com/common-workflow-language/gxargparse',
        packages=["argparse", "gxargparse", "test"],
        entry_points={
            'console_scripts': [
                    'gxargparse_check_path = gxargparse.check_path:main',
                ]
            },
        classifiers=[
            'Development Status :: 3 - Alpha',
            'Operating System :: OS Independent',
            'Intended Audience :: Developers',
            'Environment :: Console',
            'License :: OSI Approved :: Apache Software License',
            ],
        include_package_data=True,
        )
